For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETGet widget
          • POSTCreate widget avatar
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceWidget

Get widget

GET
/v1/convai/agents/:agent_id/widget
GET
/v1/convai/agents/:agent_id/widget
$curl https://api.elevenlabs.io/v1/convai/agents/agent_id/widget
1{
2 "agent_id": "string",
3 "widget_config": {
4 "language": "en",
5 "supported_language_overrides": [
6 "es",
7 "fr"
8 ],
9 "language_presets": {},
10 "text_only": false,
11 "supports_text_only": true,
12 "first_message": "Hello! How can I help you today?",
13 "use_rtc": false,
14 "file_input_config": {
15 "enabled": false,
16 "max_files_per_conversation": 10
17 }
18 }
19}
Retrieve the widget configuration for an agent
Was this page helpful?
Previous

Create widget avatar

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.

Headers

xi-api-keystringOptional

Query parameters

conversation_signaturestring or nullOptional

An expiring token that enables a websocket conversation to start. These can be generated for an agent using the /v1/convai/conversation/get-signed-url endpoint

Response

Successful Response
agent_idstring
widget_configobject

Errors

422
Unprocessable Entity Error